Bug 10232 - winbindd doesn't work against windows 2008 domain controllers
winbindd doesn't work against windows 2008 domain controllers
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-28 14:53 UTC by Stefan Metzmacher
Modified: 2015-01-28 02:40 UTC (History)
2 users (show)

See Also:


Attachments
Experimental patch for master (2.00 KB, patch)
2013-10-28 16:48 UTC, Stefan Metzmacher
no flags Details
git-am fix for master & 4.1.x, and 4.0.x (2.34 KB, patch)
2013-10-31 21:49 UTC, Jeremy Allison
no flags Details
Patch for v4-0-test (2.41 KB, patch)
2013-11-04 14:24 UTC, Stefan Metzmacher
jra: review+
Details
Patch for v4-1-test (2.41 KB, patch)
2013-11-04 14:25 UTC, Stefan Metzmacher
jra: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2013-10-28 14:53:24 UTC
Windows 2008 echos the SMB2 ioctl request input_buffer in the response,
while the client specified max_input_length = 0.
Comment 1 Stefan Metzmacher 2013-10-28 16:48:17 UTC
Created attachment 9338 [details]
Experimental patch for master
Comment 2 Jeremy Allison 2013-10-31 21:49:26 UTC
Created attachment 9354 [details]
git-am fix for master & 4.1.x, and 4.0.x

Patch that went into master.
Comment 3 Stefan Metzmacher 2013-11-04 14:24:43 UTC
Created attachment 9367 [details]
Patch for v4-0-test

With cherry-pick information...
Comment 4 Stefan Metzmacher 2013-11-04 14:25:07 UTC
Created attachment 9368 [details]
Patch for v4-1-test
Comment 5 Jeremy Allison 2013-11-04 17:54:29 UTC
Re-assigning to Karolin for inclusion in 4.0.next, 4.1.next.

Jeremy.
Comment 6 Karolin Seeger 2013-11-06 11:34:15 UTC
Pushed to autobuild-v4-1-test and autobuild-v4-0-test.
Comment 7 Karolin Seeger 2013-11-12 10:32:03 UTC
Pushed to v4-1-test and v4-0-test.
Closing out bug report.

Thanks!